> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Social User Profile



## OpenAPI

````yaml openapi.json GET /gateway/v1/social/user
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/social/user:
    get:
      tags:
        - Social
      summary: Social User Profile
      description: >-
        Returns an X (Twitter) user profile.


        **Included fields:** display name, follower count, following count, and
        bio.


        **Lookup:** by `handle` (without @).
      operationId: social-user
      parameters:
        - description: X (Twitter) username without @ like `cz_binance` or `vitalikbuterin`
          explode: false
          in: query
          name: handle
          required: true
          schema:
            description: >-
              X (Twitter) username without @ like `cz_binance` or
              `vitalikbuterin`
            examples:
              - vitalikbuterin
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataObjectResponseXUser'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    DataObjectResponseXUser:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataObjectResponseXUser.json
          format: uri
          readOnly: true
          type: string
        data:
          $ref: '#/components/schemas/XUser'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    XUser:
      additionalProperties: false
      properties:
        avatar:
          description: Profile picture URL
          type: string
        bio:
          description: Profile biography text
          type: string
        followers_count:
          description: Number of followers
          format: int64
          type: integer
        following_count:
          description: Number of accounts this user follows
          format: int64
          type: integer
        handle:
          description: X/Twitter handle without the @ prefix
          type: string
        name:
          description: Display name on X/Twitter
          type: string
        user_id:
          description: Numeric X/Twitter user ID as a string
          type: string
      required:
        - user_id
        - handle
        - name
        - followers_count
        - following_count
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````